%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Parse-RecDescent
Version:       1.967015
Release:       2mamba
Summary:       Parse::RecDescent - Generate Recursive-Descent Parsers
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/J/JT/JTBRAUN/Parse-RecDescent-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Requires:      perl >= %perl_major_ver

%description
Parse::RecDescent - Generate Recursive-Descent Parsers.

%prep
%setup -q -n Parse-RecDescent-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

## note: eventually add the remaining documents (if any)
# %doc README

%changelog
* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 1.967015-2mamba
- rebuilt with perl 5.36.0

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 1.967015-1mamba
- automatic update by autodist

* Wed Feb 10 2016 Automatic Build System <autodist@mambasoft.it> 1.967013-1mamba
- automatic update by autodist

* Wed Sep 23 2015 Automatic Build System <autodist@mambasoft.it> 1.967012-1mamba
- automatic update by autodist

* Thu Nov 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.967009-1mamba
- package created by silvan using the webbuild interface
